local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireTear = ____shouldFire.shouldFireTear
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PreTearCollisionFilter = __TS__Class()
local PreTearCollisionFilter = ____exports.PreTearCollisionFilter
PreTearCollisionFilter.name = "PreTearCollisionFilter"
__TS__ClassExtends(PreTearCollisionFilter, CustomCallback)
function PreTearCollisionFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireTear
    self.preTearCollision = function(____, tear, collider, low) return self:fire(tear, collider, low) end
    self.callbacksUsed = {{ModCallback.PRE_TEAR_COLLISION, self.preTearCollision}}
end
return ____exports
